Bug 21531 - Subscription "New fields" button should read "New field"
Summary: Subscription "New fields" button should read "New field"
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 21519
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-10 11:59 UTC by Owen Leonard
Modified: 2018-11-28 09:27 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21531: Subscription "New fields" button should read "New field" (2.72 KB, patch)
2018-10-10 12:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21531: Subscription "New fields" button should read "New field" (2.78 KB, patch)
2018-10-11 10:35 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 21531: Subscription "New fields" button should read "New field" (2.83 KB, patch)
2018-10-11 20:01 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-10-10 11:59:18 UTC
Action buttons for any "New" operation use singular, so the "New fields" button on the "Add subscription fields" should read "New field."
Comment 1 Owen Leonard 2018-10-10 12:25:10 UTC
Created attachment 80336 [details] [review]
Bug 21531: Subscription "New fields" button should read "New field"

This patch changes the label of the "New fields" button on the
subscription add fields page to read "New field," making it consistent
with similar buttons in the staff client.

Also changed:

- Add missing id to <select> to make label clickable.
- Remove custom DataTables configuration in favor of defaults.

To test, apply the patch and go to Serials -> Add subscription fields.

- The button in the toolbar should read "New field."
- The DataTables' functionality of the table of existing custom fields
  should be correct.
- Click the "New field" button.
  - Cliking the "Authorised value category" label should put the focus
    on the dropdown.
Comment 2 Claire Gravely 2018-10-11 10:35:17 UTC
Created attachment 80399 [details] [review]
Bug 21531: Subscription "New fields" button should read "New field"

This patch changes the label of the "New fields" button on the
subscription add fields page to read "New field," making it consistent
with similar buttons in the staff client.

Also changed:

- Add missing id to <select> to make label clickable.
- Remove custom DataTables configuration in favor of defaults.

To test, apply the patch and go to Serials -> Add subscription fields.

- The button in the toolbar should read "New field."
- The DataTables' functionality of the table of existing custom fields
  should be correct.
- Click the "New field" button.
  - Cliking the "Authorised value category" label should put the focus
    on the dropdown.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Katrin Fischer 2018-10-11 20:01:15 UTC
Created attachment 80421 [details] [review]
Bug 21531: Subscription "New fields" button should read "New field"

This patch changes the label of the "New fields" button on the
subscription add fields page to read "New field," making it consistent
with similar buttons in the staff client.

Also changed:

- Add missing id to <select> to make label clickable.
- Remove custom DataTables configuration in favor of defaults.

To test, apply the patch and go to Serials -> Add subscription fields.

- The button in the toolbar should read "New field."
- The DataTables' functionality of the table of existing custom fields
  should be correct.
- Click the "New field" button.
  - Cliking the "Authorised value category" label should put the focus
    on the dropdown.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2018-10-19 17:40:15 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-11-05 17:03:24 UTC
Pushed to 18.05.x for 18.05.06
Comment 6 Fridolin SOMERS 2018-11-28 09:27:47 UTC
I prefer to avoid changing display of 17.11.x